## org.biojava.ontology
Interface OntologyOps

All Known Implementing Classes:
  DefaultOps

    public interface OntologyOps

This is an interface for optimizing ontology operators.

Some ontology implementations will be able to compute some derived properties very quickly because of how they store their data. This is likely to out- perform generic implementations of algorithms using the Ontology interface to get the same result. Ontology instances provide an instance of OntologyOps, publishing optimizations of some common operations. The reasoner may then choose to call OntologyOps methods on the Ontology instance rather than using its fall-back implementations.

Since:
  1.4
Author:
  Matthew Pocock

Method Summary
`Set` `getRemoteTerms()` Get the set of all remote terms.

Method Detail

### getRemoteTerms

    Set getRemoteTerms()

  Get the set of all remote terms.

  We do not currently specify whether this set is mutable or not, and if it will reflect modifications to the optimised ontolgies.

  Returns:
    a Set containing all remote terms in the ontology